Description

Would be good to choose whether to create nodes or ignore nodes when foreman imports facts.

History

#1 - 11/09/2010 08:13 AM - Ohad Levy

- Target version set to 0.2

how would you decided which host to import? or would you like to disable it completely?

#2 - 11/23/2010 12:14 AM - Bash Shell

It would be nice to add a Search feature which can search for hosts with no Hostgroup, or with no class.

This way, hosts imported by the Fact importer cron task can be detected.

Should I make another ticket for this?

#3 - 02/10/2011 05:09 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Matt Moran

- Target version deleted (0.2)

So I'm still unclear of how to implement this feature... how would we decided what not to import?

#4 - 02/21/2011 03:52 AM - Matt Moran

Hi Ohad,

How about a list in settings, say "Ignored Nodes" or similar.  wild cards would be good -

servera.mydomain.local

*.compute.internal

#5 - 04/11/2011 07:39 AM - Ohad Levy

I think that the right way would be to let foreman delete the facts from the puppetmaster when deleting a host within foreman.

#6 - 06/13/2011 08:04 AM - Ohad Levy

note that is solved if you use [1] as your external nodes script

[1] - http://groups.google.com/group/foreman-users/browse_thread/thread/dbfacacaa6286014#

#7 - 06/19/2011 03:41 AM - Ohad Levy

- Status changed from Feedback to Closed

05/12/2024 1/2

http://groups.google.com/group/foreman-users/browse_thread/thread/dbfacacaa6286014


the new external nodes script in #347 now solves this issue.
